/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.hadoop.ozone.om.snapshot;

import static org.apache.hadoop.hdds.utils.NativeConstants.ROCKS_TOOLS_NATIVE_LIBRARY_NAME;
import static org.apache.hadoop.ozone.om.helpers.BucketLayout.FILE_SYSTEM_OPTIMIZED;

import org.apache.ozone.test.tag.Native;
import org.junit.jupiter.api.Timeout;

/**
 * Test OmSnapshot for FSO bucket type when native lib is enabled.
 */
@Native(ROCKS_TOOLS_NATIVE_LIBRARY_NAME)
@Timeout(300)
class TestOmSnapshotFsoWithNativeLibWithLinkedBuckets extends TestOmSnapshot {
  TestOmSnapshotFsoWithNativeLibWithLinkedBuckets() throws Exception {
    super(FILE_SYSTEM_OPTIMIZED, false, false, false, true);
  }
}
